# AbleCloud Android SDK----安卓设备

## 1.简介
AbleCloud Android API。
此文件为适用于安卓设备的SDK，可用于开发安卓设备上的APP

[开发文档](http://docs.ablecloud.cn/current/device_android/site/introduction/)

## 2.发布历史
当前版本：v1.2.0

#### v1.2.0 - 2016.02.07
1. 支持设备上报回复响应。
2. 要求设备物理ID必须由字母加数字组成。
3. 增强安卓设备连接的稳定性。

#### v1.1.6 - 2016.12.05
1. 去除网关接入相关的接口
2. 增加mips的.so文件支持

#### v1.1.5 - 2016.11.09
1. SDK在连云成功后不再自动发送广播，需要通过AC.DeviceStartBc()手动接口；同时支持发送自定义广播。
2. 修复.so文件偶然崩溃现象问题。
3. 增加查询设备是否绑定的接口，通过AC.bindMgr()获取绑定管理器后，调用isDeviceBound()接口查询。
4. 修改ACUtils中的getMacOrIMEI接口在Android6.0版本情况下默认取imei号。

#### v1.1.3 - 2016.08.29
1. 升级底层库，解决v1.1.2版本连不上云端的问题。

#### v1.1.2 - 2016.08.11
1. AC.otaMgr()中startCheckOtaVersion/stopCheckOtaVersion设置为过时接口，新增加接口setOtaListener()，不需要通过app去轮询即可拿到新版本的回调。
2. 增加强制解绑的接口，通过AC.deviceForceUnbind()调用。
3. ACException增加description字段，获取错误信息除了getErrorCode()与getMessage()之外，增加getDescription()方法获取详细的错误描述；
4. 移除KLV通讯格式，目前通讯格式只支持二进制及json。


#### v1.1.1 - 2016.04.19
1. 支持不同长度物理ID字符串
2. 局域网控制默认为动态加密，增加支持不加密及静态加密方式，通过AndroidManifest里的security-mode标签设置局域网加密方式。

#### v1.1.0 - 2016.03.22
1. 增加设备激活（sdk内部调用）、OTA、文件管理等接口
2. 修改AC框架，配置信息放到AndroidManifest的meta-data里，并更新初始化接口，具体参照开发指导
3. 增加中欧、北美地域环境
4. 增加音视频模块sdk与文档

#### v1.0.1 - 2016.02.23
修复设备json格式响应code为61

#### v1.0.0 - 2015.10.07
AbleCloud Android SDK正式发布

